---
updatedAt: 2025-11-19T15:07:59.000Z
agentTools:
  projectIndex: https://docs.rackspace.com/llms.txt
---

# Limits operations

Use the Limits operations to get information about the rate and domain limits for a specified Rackspace Cloud account.

## List limits

```http
GET /v1.0/{account}/limits
```

Lists all applicable limits.

This call provides a list of all applicable limits for a specified account.

The following examples show the requests and corresponding responses to list all limits for the specified account.

For details about the limits information returned, refer to [Limits](/reference/cloud-dns-limits).

This table shows the possible response codes for this operation:

| Response Code | Name                | Description                                                                                                                               |
| ------------- | ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| 200           | Success             | Request succeeded.                                                                                                                        |
| 400 500       | dnsFault            | The DNS service has experienced a fault.                                                                                                  |
| 401           | Unauthorized        | You are not authorized to complete this operation. This error can occur if the request is submitted with an invalid authentication token. |
| 503           | Service Unavailable | The service is not available.                                                                                                             |

### Request

***

This table shows the header parameters for the request:

| Name         | Type   | Description                                                                                          |
| ------------ | ------ | ---------------------------------------------------------------------------------------------------- |
| X-Auth-Token | String | Arbitrary character string generated by the authentication service in response to valid credentials. |

This table shows the URI parameters for the request:

| Name       | Type   | Description    |
| ---------- | ------ | -------------- |
| \{account} | String | The tenant ID. |

This operation does not accept a request body.

**Example List limits: XML request**

```curl
GET https://dns.api.rackspacecloud.com/v1.0/1234/limits  
Accept: application/xml  
X-Auth-Token: ea85e6ac-baff-4a6c-bf43-848020ea3812  
Content-Type: application/xml  
Content-Length: 0
```

**Example List limits: JSON request**

```curl
GET https://dns.api.rackspacecloud.com/v1.0/1234/limits  
Accept: application/json  
X-Auth-Token: ea85e6ac-baff-4a6c-bf43-848020ea3812  
Content-Type: application/json  
Content-Length: 0
```

### Response

***

**Example List limits: XML response**

```xml
Status: 200 OK  
Date: Thu, 28 Jul 2011 21:54:21 GMT  
X-API-VERSION: 1.0.17  
Content-Type: application/xml  
Content-Length: 1968

<limits>
    <rate>
        <uri>/status/*</uri>
        <regex>.*/v\d+\.\d+/(\d+/status).*</regex>
        <limit>
            <verb>GET</verb>
            <value>15</value>
            <remaining>15</remaining>
            <unit>SECOND</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains/search*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains/search).*</regex>
        <limit>
            <verb>GET</verb>
            <value>20</value>
            <remaining>20</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains/{domain_id}/changes*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains/\d+/changes).*</regex>
        <limit>
            <verb>GET</verb>
            <value>5</value>
            <remaining>5</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains).*</regex>
        <limit>
            <verb>GET</verb>
            <value>300</value>
            <remaining>300</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains).*</regex>
        <limit>
            <verb>POST</verb>
            <value>75</value>
            <remaining>75</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains).*</regex>
        <limit>
            <verb>PUT</verb>
            <value>150</value>
            <remaining>150</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains).*</regex>
        <limit>
            <verb>DELETE</verb>
            <value>150</value>
            <remaining>150</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/rdns*</uri>
        <regex>.*/v\d+\.\d+/(\d+/rdns).*</regex>
        <limit>
            <verb>ALL</verb>
            <value>300</value>
            <remaining>300</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <absolute>
        <domains>25000</domains>
        <records per domain>25000</records per domain>
    </absolute>
</limits>

```

**Example List limits: JSON response**

```json
Status: 200 OK  
Date: Thu, 28 Jul 2011 21:54:21 GMT  
X-API-VERSION: 1.0.17  
Content-Type: application/json  
Content-Length: 1534

{
    "limits": {
        "rate": [
            {
                "uri": "/status/*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/status).*",
                "limit": [
                    {
                        "verb": "GET",
                        "value": 15,
                        "remaining": 15,
                        "unit": "SECOND",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains/search*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains/search).*",
                "limit": [
                    {
                        "verb": "GET",
                        "value": 20,
                        "remaining": 20,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains/{domain_id}/changes*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains/\\d+/changes).*",
                "limit": [
                    {
                        "verb": "GET",
                        "value": 5,
                        "remaining": 5,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains).*",
                "limit": [
                    {
                        "verb": "GET",
                        "value": 300,
                        "remaining": 300,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains).*",
                "limit": [
                    {
                        "verb": "POST",
                        "value": 75,
                        "remaining": 75,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains).*",
                "limit": [
                    {
                        "verb": "PUT",
                        "value": 150,
                        "remaining": 150,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains).*",
                "limit": [
                    {
                        "verb": "DELETE",
                        "value": 150,
                        "remaining": 150,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/rdns*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/rdns).*",
                "limit": [
                    {
                        "verb": "ALL",
                        "value": 300,
                        "remaining": 300,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            }
        ],
        "absolute": {
            "domains": 25000,
            "records per domain": 25000
        }
    }
}
```

## Show limits

```http
GET /v1.0/{account}/limits/{type}
```

Shows assigned limits for a specified type.

This call provides a list of all applicable limits of a specified `type` for the specified account.

The following examples show the requests and corresponding responses to list all applicable limits of a specified `type` for the specified account.

This table shows the possible response codes for this operation:

| Response Code | Name                | Description                                                                                                                               |
| ------------- | ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| 200           | Success             | Request succeeded.                                                                                                                        |
| 400 500       | dnsFault            | The DNS service has experienced a fault.                                                                                                  |
| 401           | Unauthorized        | You are not authorized to complete this operation. This error can occur if the request is submitted with an invalid authentication token. |
| 503           | Service Unavailable | The service is not available.                                                                                                             |

### Request

***

This table shows the header parameters for the request:

| Name         | Type   | Description                                                                                          |
| ------------ | ------ | ---------------------------------------------------------------------------------------------------- |
| X-Auth-Token | String | Arbitrary character string generated by the authentication service in response to valid credentials. |

This table shows the URI parameters for the request:

| Name       | Type   | Description        |
| ---------- | ------ | ------------------ |
| \{account} | String | The tenant ID.     |
| \{type}    | String | The type of limit. |

This operation does not accept a request body.

**Example List Specified Limit: XML request**

```curl
GET https://dns.api.rackspacecloud.com/v1.0/1234/limits/rate_limit 
Accept: application/xml  
X-Auth-Token: ea85e6ac-baff-4a6c-bf43-848020ea3812  
Content-Type: application/xml  
Content-Length: 0
```

**Example List Specified Limit: JSON request**

```curl
GET https://dns.api.rackspacecloud.com/v1.0/1234/limits/rate_limit
Accept: application/json  
X-Auth-Token: ea85e6ac-baff-4a6c-bf43-848020ea3812  
Content-Type: application/json  
Content-Length: 0
```

### Response

***

**Example List Specified Limit: XML response**

```xml
Status: 200 OK  
Date: Thu, 28 Jul 2011 21:54:21 GMT  
X-API-VERSION: 1.0.17  
Content-Type: application/xml  
Content-Length: 1877

<limits>
    <rate>
        <uri>/status/*</uri>
        <regex>.*/v\d+\.\d+/(\d+/status).*</regex>
        <limit>
            <verb>GET</verb>
            <value>15</value>
            <remaining>15</remaining>
            <unit>SECOND</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains/search*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains/search).*</regex>
        <limit>
            <verb>GET</verb>
            <value>20</value>
            <remaining>20</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains/{domain_id}/changes*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains/\d+/changes).*</regex>
        <limit>
            <verb>GET</verb>
            <value>5</value>
            <remaining>5</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains).*</regex>
        <limit>
            <verb>GET</verb>
            <value>300</value>
            <remaining>300</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains).*</regex>
        <limit>
            <verb>POST</verb>
            <value>75</value>
            <remaining>75</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains).*</regex>
        <limit>
            <verb>PUT</verb>
            <value>150</value>
            <remaining>150</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/domains*</uri>
        <regex>.*/v\d+\.\d+/(\d+/domains).*</regex>
        <limit>
            <verb>DELETE</verb>
            <value>150</value>
            <remaining>150</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
    <rate>
        <uri>*/rdns*</uri>
        <regex>.*/v\d+\.\d+/(\d+/rdns).*</regex>
        <limit>
            <verb>ALL</verb>
            <value>300</value>
            <remaining>300</remaining>
            <unit>MINUTE</unit>
            <next-available>2011-07-28T16:21:18.050Z</next-available>
        </limit>
    </rate>
</limits>
```

**Example List Specified Limit: JSON response**

```json
Status: 200 OK  
Date: Thu, 28 Jul 2011 21:54:21 GMT  
X-API-VERSION: 1.0.17  
Content-Type: application/json  
Content-Length: 1478

{
    "limits": {
        "rate": [
            {
                "uri": "/status/*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/status).*",
                "limit": [
                    {
                        "verb": "GET",
                        "value": 15,
                        "remaining": 15,
                        "unit": "SECOND",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains/search*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains/search).*",
                "limit": [
                    {
                        "verb": "GET",
                        "value": 20,
                        "remaining": 20,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains/{domain_id}/changes*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains/\\d+/changes).*",
                "limit": [
                    {
                        "verb": "GET",
                        "value": 5,
                        "remaining": 5,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains).*",
                "limit": [
                    {
                        "verb": "GET",
                        "value": 300,
                        "remaining": 300,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains).*",
                "limit": [
                    {
                        "verb": "POST",
                        "value": 75,
                        "remaining": 75,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains).*",
                "limit": [
                    {
                        "verb": "PUT",
                        "value": 150,
                        "remaining": 150,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/domains*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/domains).*",
                "limit": [
                    {
                        "verb": "DELETE",
                        "value": 150,
                        "remaining": 150,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            },
            {
                "uri": "*/rdns*",
                "regex": ".*/v\\d+\\.\\d+/(\\d+/rdns).*",
                "limit": [
                    {
                        "verb": "ALL",
                        "value": 300,
                        "remaining": 300,
                        "unit": "MINUTE",
                        "next-available": "2011-07-28T16:21:18.050Z"
                    }
                ]
            }
        ]
    }
}
```

## List limit types

```http
GET /v1.0/{account}/limits/types
```

Lists the types of limits.

This call provides a list of all applicable limit types for a specified account.

The following examples show the requests and corresponding responses to list all limit types for the specified account.

This table shows the possible response codes for this operation:

| Response Code | Name                | Description                                                                                                                               |
| ------------- | ------------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| 200           | Success             | Request succeeded.                                                                                                                        |
| 400 500       | dnsFault            | The DNS service has experienced a fault.                                                                                                  |
| 401           | Unauthorized        | You are not authorized to complete this operation. This error can occur if the request is submitted with an invalid authentication token. |
| 503           | Service Unavailable | The service is not available.                                                                                                             |

### Request

***

This table shows the header parameters for the request:

| Name         | Type   | Description                                                                                          |
| ------------ | ------ | ---------------------------------------------------------------------------------------------------- |
| X-Auth-Token | String | Arbitrary character string generated by the authentication service in response to valid credentials. |

This table shows the URI parameters for the request:

| Name       | Type   | Description    |
| ---------- | ------ | -------------- |
| \{account} | String | The tenant ID. |

This operation does not accept a request body.

**Example List limit types: XML request**

```curl
GET https://dns.api.rackspacecloud.com/v1.0/1234/limits/types
Accept: application/xml  
X-Auth-Token: ea85e6ac-baff-4a6c-bf43-848020ea3812  
Content-Type: application/xml  
Content-Length: 0
```

**Example List limit types: JSON request**

```curl
GET https://dns.api.rackspacecloud.com/v1.0/1234/limits/types
Accept: application/json  
X-Auth-Token: ea85e6ac-baff-4a6c-bf43-848020ea3812  
Content-Type: application/json  
Content-Length: 0
```

### Response

***

**Example List limit types: XML response**

```xml
Status: 200 OK  
Date: Thu, 28 Jul 2011 21:54:21 GMT  
X-API-VERSION: 1.0.17  
Content-Type: application/xml  
Content-Length: 116

<limitTypes>RATE_LIMIT</limitTypes>
<limitTypes>DOMAIN_LIMIT</limitTypes>
<limitTypes>DOMAIN_RECORD_LIMIT</limitTypes>
```

**Example List limit types: JSON response**

```json
Status: 200 OK  
Date: Thu, 28 Jul 2011 21:54:21 GMT  
X-API-VERSION: 1.0.17  
Content-Type: application/json  
Content-Length: 76

{  
  "limitTypes" : [ "RATE_LIMIT", "DOMAIN_LIMIT", "DOMAIN\_RECORD\_LIMIT" ]  
}
```